View Issue Details

IDProjectCategoryView StatusLast Update
0022939mantisbtcode cleanuppublic2017-09-03 18:41
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version2.4.1 
Target Version2.6.0Fixed in Version2.6.0 
Summary0022939: Use Parsedown library v1.6.2 via Composer
Description

Use composer rather than submodules. Upgrade from 1.6.1 to 1.6.2.

TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master 3992d15d

2017-05-28 17:28:07

vboctor

Details Diff
Use Parsedown 1.6.2 via Composer

Use composer instead of submodule to use the Parsedown library.
Use standard package from packagist.

Fixes 0022939
mod - .gitmodules Diff File
mod - composer.json Diff File
mod - composer.lock Diff File
mod - library/README.md Diff File
rm - library/parsedown Diff File
mod - plugins/MantisCoreFormatting/core/MantisMarkdown.php Diff File

MantisBT: master e7d5e46a

2017-08-02 10:50:37

dregad

Details Diff
Add former Submodules to .gitignore

Following the move of libraries from Git Submodules to Composer and
removal of the former, their respective directories need to be ignored
to avoid risk of inadvertant updates when switching back and forth
between 2.6+ and older branches.

Issues 0022913, 0022939, 0022940
mod - .gitignore Diff File

Issue History

Date Modified Username Field Change
2017-05-28 17:27 vboctor New Issue
2017-05-28 17:27 vboctor Status new => assigned
2017-05-28 17:27 vboctor Assigned To => vboctor
2017-06-04 17:24 vboctor Changeset attached => MantisBT master 3992d15d
2017-06-04 17:24 vboctor Status assigned => resolved
2017-06-04 17:24 vboctor Resolution open => fixed
2017-06-04 17:24 vboctor Fixed in Version => 2.6.0
2017-06-04 17:49 vboctor Target Version => 2.6.0
2017-08-02 11:20 dregad Changeset attached => MantisBT master e7d5e46a
2017-09-03 18:41 vboctor Status resolved => closed